Package org.apache.sling.launchpad.testservices.adapter

# Class NotReallyAnAdapterFactory

java.lang.Object
org.apache.sling.launchpad.testservices.adapter.NotReallyAnAdapterFactory

All Implemented Interfaces:
  `org.apache.sling.api.adapter.AdapterFactory`

public class NotReallyAnAdapterFactory extends Object implements org.apache.sling.api.adapter.AdapterFactory
Service which looks like an adapter factory, but isn't. See SLING-2522.

## Field Summary

### Fields inherited from interface org.apache.sling.api.adapter.AdapterFactory

`ADAPTABLE_CLASSES, ADAPTER_CLASSES, SERVICE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`NotReallyAnAdapterFactory()`

## Method Summary

Modifier and Type
Method
Description
`<AdapterType>
AdapterType`
`getAdapter(Object adaptable, Class<AdapterType> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NotReallyAnAdapterFactory

public NotReallyAnAdapterFactory()

## Method Details

### getAdapter

public <AdapterType> AdapterType getAdapter(Object adaptable, Class<AdapterType> type)

Specified by:
  `getAdapter` in interface `org.apache.sling.api.adapter.AdapterFactory`